com.holonplatform.jaxrs.swagger.v3.spring

## Class ResteasySwaggerV3AutoConfiguration

- java.lang.Object
- - com.holonplatform.jaxrs.swagger.internal.spring.AbstractJaxrsApiEndpointsAutoConfiguration<A,io.swagger.v3.oas.integration.api.OpenAPIConfiguration>
  - - com.holonplatform.jaxrs.swagger.v3.internal.spring.AbstractSwaggerV3AutoConfiguration<ResteasyConfig>
    - - com.holonplatform.jaxrs.swagger.v3.spring.ResteasySwaggerV3AutoConfiguration

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware

      @Configuration
       @ConditionalOnClass(name={"com.holonplatform.jaxrs.spring.boot.resteasy.ResteasyConfig","io.swagger.v3.oas.models.OpenAPI"})
       @ConditionalOnBean(type="com.holonplatform.jaxrs.spring.boot.resteasy.ResteasyConfig")
       @AutoConfigureOrder(value=2147482647)
       @AutoConfigureAfter(name="com.holonplatform.jaxrs.spring.boot.resteasy.ResteasyAutoConfiguration")
       @EnableConfigurationProperties(value=SwaggerConfigurationProperties.class)
      public class ResteasySwaggerV3AutoConfiguration
      extends com.holonplatform.jaxrs.swagger.v3.internal.spring.AbstractSwaggerV3AutoConfiguration<ResteasyConfig>

  Spring Boot Swagger/OpenAPI v3 auto-configuration class for Resteasy runtime.

  This class configures API listing endpoints according to one or more API configuration definitions. An API configuration endpoint can be decalred and configured using either:

  - One or more `OpenAPIConfiguration` type beans (using for example the `SwaggerConfiguration` implementation). The `ApiConfiguration` annotation can be used on each API configuration bean to setup the API listing endpoint, for example to declare the JAX-RS endpoint path. When more then one `OpenAPIConfiguration` type bean is declared, the `ApiConfiguration.contextId()` attribute should be used to declare a different API context id for each configuration.
  - When no `OpenAPIConfiguration` type bean is defined, the `SwaggerConfigurationProperties` application properties can be used to configure the API definition and the API listing endpoints. To declare more than one API definition subset, a set of API group can be declared. Each group id will be used as API context id.

  By default, the `ApiDefaults.DEFAULT_API_ENDPOINT_PATH` path is used as JAX-RS API listing endpoint path if not configured otherwise.

  A Holon `ResteasyConfig` type bean must be available in context to enable the API listing endpoints auto-configuration.

  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasySwaggerV3AutoConfiguration(SwaggerConfigurationProperties configurationProperties, org.springframework.beans.factory.ObjectProvider<io.swagger.v3.oas.integration.api.OpenAPIConfiguration> openAPIConfigurations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResteasyConfigCustomizer` | `resteasySwaggerV3ResourceConfigCustomizer()`

    - ### Methods inherited from class com.holonplatform.jaxrs.swagger.v3.internal.spring.AbstractSwaggerV3AutoConfiguration

      `getContextIdByPath, jaxrsApiEndpointsDefinitionsV3InitializerApplicationListenerOnContextRefresh`

    - ### Methods inherited from class com.holonplatform.jaxrs.swagger.internal.spring.AbstractJaxrsApiEndpointsAutoConfiguration

      `legacyContactToContactNamePropertyConverter, legacyLicenseToLicenseNamePropertyConverter, setBeanClassLoader, setBeanFactory`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasySwaggerV3AutoConfiguration

          public ResteasySwaggerV3AutoConfiguration(SwaggerConfigurationProperties configurationProperties,
                                                    org.springframework.beans.factory.ObjectProvider<io.swagger.v3.oas.integration.api.OpenAPIConfiguration> openAPIConfigurations)

  - ### Method Detail

    - #### resteasySwaggerV3ResourceConfigCustomizer

          @Bean
          public ResteasyConfigCustomizer resteasySwaggerV3ResourceConfigCustomizer()

Copyright © 2019 The Holon Platform. All rights reserved.